vCenter Server versions 5.1 and later require the vCenter Single Sign-On and vCenter Inventory Service components. Depending on your existing vCenter Server installation, you can use the Simple Install option to upgrade to vCenter Server, including vCenter Single Sign-On, the vSphere Web Client, and Inventory Service, all on a single host machine.

About this task

You can use Simple Install to upgrade vCenter Server if you have a version 4.x, 5.0.x, or 5.1.x vCenter Server installation that is supported for upgrade, and all vCenter Server components in the installation you are upgrading are on the same host machine. See the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php. Depending on the version you are upgrading from, the Simple Install option installs or upgrades Single Sign-On, and upgrades the vSphere Web Client, Inventory Service, and vCenter Server.

Alternatively, you can upgrade vCenter Server components separately, for installations in which the location and configuration of the components is customized. See Use Custom Install to Upgrade a Standalone vCenter Single Sign-On Deployment of Version 5.1.x vCenter Server and Required Components, Use Custom Install to Upgrade vCenter Server from a Version 5.1.x High Availability vCenter Single Sign-On Deployment, or Use Custom Install to Upgrade vCenter Server from a Version 5.1.x Multisite vCenter Single Sign-On Deployment.

Note:

You cannot use Simple Install to upgrade from vCenter Server 5.5 to a later 5.5.x version, for example, from version 5.5.0 to 5.5 Update 1. If you attempt to do so, the installer displays the message vCenter Package components already installed. Please install any remaining components by clicking on the respective links one the left. This means, that some of the vCenter Server components of the 5.5.x version might be already installed and you must upgrade all of the other components by using the individual installers. To upgrade from vCenter Server 5.5 to a later 5.5.x version, you must use the individual vCenter Single Sign-On, vSphere Web Client, vCenter Inventory Service, and vCenter Server installers. See Use Custom Install to Upgrade a Standalone vCenter Single Sign-On Deployment of Version 5.1.x vCenter Server and Required Components.